Skip to content
Documentation

Returns the currently authenticated identity

GET /security/authentication/identity

This endpoint can be used to verify successful authentication.

If, for example the OpenID Connect protocol is used to generate an access token from a third-party identity provider (i.e. Azure Entra ID, KeyCloak, etc.), this endpoint can be used to confirm that the token has been accepted and validated and that all properties/claims within the token are properly decoded/mapped.

Code Description Type
200 This response indicates that the request contains valid authentication information. The response body contains all the information about the identity defined by that information. ClaimsIdentity
4XX Indicates that the request failed due to a client error. Please refer to the details provided in the body of the response in order to ensure that the request can be handled properly. ProblemDetails
5XX Indicates that the request failed due to an error that occurred on the server. Consider reporting this error to the server operators. ProblemDetails

Schema: ClaimsIdentity

{
"authenticationType": "string",
"isAuthenticated": true,
"actor": {},
"bootstrapContext": null,
"claims": [
{
"issuer": "string",
"originalIssuer": "string",
"properties": {
"property1": "string"
},
"subject": {},
"type": "string",
"value": "string",
"valueType": "string"
}
],
"label": "string",
"name": "string",
"nameClaimType": "string",
"roleClaimType": "string"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}

Schema: ProblemDetails

{
"type": "?",
"title": "HK09008",
"status": 400,
"detail": "A description of the problem",
"instance": "https://..",
"root": {
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
"roots": [
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
},
{
"type": "?",
"title": "HK15019",
"status": 500,
"detail": "An error occurred while performing the requested operation...",
"instance": "https://.."
}
],
"traceId": "dd71e2e0-c77a-4608-b1d7-fcb9353b9a35"
}
© 2026 Volue.Version v0.6.38017 November 2026